{
	"info": {
      "_postman_id": "ab12ad1f-aaf8-44c2-80de-bd4e1ec72c4b",
      "name": "APIFlask",
      "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
    },
	"item": [
		{
			"name": "Keyword",
			"item": [
				{
					"name": "Removes existing keyword",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/keyword",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"keyword"
							]
						},
						"description": "Removes existing keyword for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {},\n  \"status\": -6906184,\n  \"text\": \"velit ad reprehenderit quis\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Add new keyword",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/keyword",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"keyword"
							]
						},
						"description": "Adds new keyword for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"email\": \"4zcg8Ae@mFFZbwrszRgeKi.bmly\",\n      \"keyword\": \"laboris\",\n      \"s_id\": -29368814\n    },\n    {\n      \"email\": \"WcrLS@cPNpWwtFqRDxUEumdjOsPLukcg.lmxg\",\n      \"keyword\": \"veniam\",\n      \"s_id\": 58969388\n    }\n  ],\n  \"status\": -62012539,\n  \"text\": \"ut incididunt sunt\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"keyword\": \"veniam pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/keyword",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keyword"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Returns all keywords",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/keywords",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"keywords"
							]
						},
						"description": "Returns all keywords for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/keywords",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keywords"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"email\": \"4zcg8Ae@mFFZbwrszRgeKi.bmly\",\n      \"keyword\": \"laboris\",\n      \"s_id\": -29368814\n    },\n    {\n      \"email\": \"WcrLS@cPNpWwtFqRDxUEumdjOsPLukcg.lmxg\",\n      \"keyword\": \"veniam\",\n      \"s_id\": 58969388\n    }\n  ],\n  \"status\": -62012539,\n  \"text\": \"ut incididunt sunt\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/keywords",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"keywords"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				}
			]
		},
		{
			"name": "Share",
			"item": [
				{
					"name": "Removes existing symbol",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"isin\": \"quis pariatur\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/share",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"share"
							]
						},
						"description": "Removes existing symbol for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"isin\": \"quis pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {},\n  \"status\": -6906184,\n  \"text\": \"velit ad reprehenderit quis\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"isin\": \"quis pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"isin\": \"quis pariatur\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Add new symbol",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"comment\": \"irure adipisicing consectetur\",\n  \"isin\": \"non irure ea labore\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/share",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"share"
							]
						},
						"description": "Adds new symbol for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"irure adipisicing consectetur\",\n  \"isin\": \"non irure ea labore\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"comment\": \"aute eu id\",\n      \"email\": \"7Wq8YgGHE@T.phx\",\n      \"isin\": \"amet anim Duis proident dolore\",\n      \"s_id\": 87738546\n    },\n    {\n      \"comment\": \"ut mollit\",\n      \"email\": \"MT8jKX-7mq@gxctz.tskk\",\n      \"isin\": \"in nost\",\n      \"s_id\": -16197478\n    }\n  ],\n  \"status\": -39445086,\n  \"text\": \"aliqua consequat aute officia\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"irure adipisicing consectetur\",\n  \"isin\": \"non irure ea labore\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"irure adipisicing consectetur\",\n  \"isin\": \"non irure ea labore\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/share",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"share"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Returns all symbols",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/shares",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"shares"
							]
						},
						"description": "Returns all symbols for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/shares",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"shares"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"comment\": \"aute eu id\",\n      \"email\": \"7Wq8YgGHE@T.phx\",\n      \"isin\": \"amet anim Duis proident dolore\",\n      \"s_id\": 87738546\n    },\n    {\n      \"comment\": \"ut mollit\",\n      \"email\": \"MT8jKX-7mq@gxctz.tskk\",\n      \"isin\": \"in nost\",\n      \"s_id\": -16197478\n    }\n  ],\n  \"status\": -39445086,\n  \"text\": \"aliqua consequat aute officia\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/shares",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"shares"
									]
								}
							},
                          "status": "Unauthorized",
                          "code": 401,
                          "_postman_previewlanguage": "json",
                          "header": [
                            {
                              "key": "Content-Type",
                              "value": "application/json"
                            }
                          ],
                          "cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
                        }
                    ]
                }
            ]
        },
      {
        "name": "Share_Price",
        "item": [
          {
            "name": "Adds new price for isin",
            "request": {
              "auth": {
                "type": "bearer",
                "bearer": [
                  {
                    "key": "token",
                    "value": "<Bearer Token>",
                    "type": "string"
                  }
                ]
              },
              "method": "POST",
              "header": [
                {
                  "key": "Content-Type",
                  "value": "application/json"
                },
                {
                  "key": "Accept",
                  "value": "application/json"
                }
              ],
              "body": {
                "mode": "raw",
                "raw": "{\n  \"isin\": \"consequat ut elit incididunt\",\n  \"price\": 8596518.682177305,\n  \"time\": \"6953-98-62T41:25:08.545Z\"\n}",
                "options": {
                  "raw": {
                    "language": "json"
                  }
                }
              },
              "url": {
                "raw": "{{baseUrl}}/api/symbol",
                "host": [
                  "{{baseUrl}}"
                ],
                "path": [
                  "api",
                  "symbol"
                ]
              },
              "description": "Adds new price to database"
            },
            "response": [
              {
                "name": "Successful response",
                "originalRequest": {
                  "method": "POST",
                  "header": [
                    {
                      "description": "Added as a part of security scheme: bearer",
                      "key": "Authorization",
                      "value": "Bearer <token>"
                    }
                  ],
                  "body": {
                    "mode": "raw",
                    "raw": "{\n  \"isin\": \"consequat ut elit incididunt\",\n  \"price\": 8596518.682177305,\n  \"time\": \"6953-98-62T41:25:08.545Z\"\n}",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    }
                  },
                  "url": {
                    "raw": "{{baseUrl}}/api/symbol",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "symbol"
                    ]
                  }
                },
                "status": "No Content",
                "code": 204,
                "_postman_previewlanguage": "text",
                "header": [
                  {
                    "key": "Content-Type",
                    "value": "text/plain"
                  }
                ],
                "cookie": [],
                "body": ""
              },
              {
                "name": "Validation error",
                "originalRequest": {
                  "method": "POST",
                  "header": [
                    {
                      "description": "Added as a part of security scheme: bearer",
                      "key": "Authorization",
                      "value": "Bearer <token>"
                    }
                  ],
                  "body": {
                    "mode": "raw",
                    "raw": "{\n  \"isin\": \"consequat ut elit incididunt\",\n  \"price\": 8596518.682177305,\n  \"time\": \"6953-98-62T41:25:08.545Z\"\n}",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    }
                  },
                  "url": {
                    "raw": "{{baseUrl}}/api/symbol",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "symbol"
                    ]
                  }
                },
                "status": "Bad Request",
                "code": 400,
                "_postman_previewlanguage": "json",
                "header": [
                  {
                    "key": "Content-Type",
                    "value": "application/json"
                  }
                ],
                "cookie": [],
                "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
              },
              {
                "name": "Authentication error",
                "originalRequest": {
                  "method": "POST",
                  "header": [
                    {
                      "description": "Added as a part of security scheme: bearer",
                      "key": "Authorization",
                      "value": "Bearer <token>"
                    }
                  ],
                  "body": {
                    "mode": "raw",
                    "raw": "{\n  \"isin\": \"consequat ut elit incididunt\",\n  \"price\": 8596518.682177305,\n  \"time\": \"6953-98-62T41:25:08.545Z\"\n}",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    }
                  },
                  "url": {
                    "raw": "{{baseUrl}}/api/symbol",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "symbol"
                    ]
                  }
                },
                "status": "Unauthorized",
                "code": 401,
                "_postman_previewlanguage": "json",
                "header": [
                  {
                    "key": "Content-Type",
                    "value": "application/json"
                  }
                ],
                "cookie": [],
                "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
              }
            ]
          },
          {
            "name": "Returns all transaction symbols",
            "request": {
              "auth": {
                "type": "bearer",
                "bearer": [
                  {
                    "key": "token",
                    "value": "<Bearer Token>",
                    "type": "string"
                  }
                ]
              },
              "method": "GET",
              "header": [
                {
                  "key": "Accept",
                  "value": "application/json"
                }
              ],
              "url": {
                "raw": "{{baseUrl}}/api/symbols",
                "host": [
                  "{{baseUrl}}"
                ],
                "path": [
                  "api",
                  "symbols"
                ]
              },
              "description": "Returns all transaction symbols for all users"
            },
            "response": [
              {
                "name": "Successful response",
                "originalRequest": {
                  "method": "GET",
                  "header": [
                    {
                      "description": "Added as a part of security scheme: bearer",
                      "key": "Authorization",
                      "value": "Bearer <token>"
                    }
                  ],
                  "url": {
                    "raw": "{{baseUrl}}/api/symbols",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "symbols"
                    ]
                  }
                },
                "status": "No Content",
                "code": 204,
                "_postman_previewlanguage": "text",
                "header": [
                  {
                    "key": "Content-Type",
                    "value": "text/plain"
                  }
                ],
                "cookie": [],
                "body": ""
              },
              {
                "name": "Authentication error",
                "originalRequest": {
                  "method": "GET",
                  "header": [
                    {
                      "description": "Added as a part of security scheme: bearer",
                      "key": "Authorization",
                      "value": "Bearer <token>"
                    }
                  ],
                  "url": {
                    "raw": "{{baseUrl}}/api/symbols",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "symbols"
                    ]
                  }
                },
                "status": "Unauthorized",
                "code": 401,
                "_postman_previewlanguage": "json",
                "header": [
                  {
                    "key": "Content-Type",
                    "value": "application/json"
                  }
                ],
                "cookie": [],
                "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
              }
            ]
          }
        ]
      },
      {
        "name": "Transaction",
        "item": [
          {
            "name": "Adds new transaction",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"comment\": \"non nulla\",\n  \"count\": 96442090,\n  \"isin\": \"non esse\",\n  \"price\": -17020893.639093384,\n  \"time\": \"9660-60-73T53:64:02.637Z\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/transaction",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"transaction"
							]
						},
						"description": "Adds new transaction for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"non nulla\",\n  \"count\": 96442090,\n  \"isin\": \"non esse\",\n  \"price\": -17020893.639093384,\n  \"time\": \"9660-60-73T53:64:02.637Z\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/transaction",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"transaction"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"comment\": \"ex cillum ullamco officia\",\n    \"count\": -23493756,\n    \"email\": \"fmL6Vhy@daFGKga.aton\",\n    \"isin\": \"aliquip enim sint\",\n    \"price\": -46738573.8885945,\n    \"time\": \"aute enim\"\n  },\n  \"status\": -46966272,\n  \"text\": \"adipisicing qui amet nulla\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"non nulla\",\n  \"count\": 96442090,\n  \"isin\": \"non esse\",\n  \"price\": -17020893.639093384,\n  \"time\": \"9660-60-73T53:64:02.637Z\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/transaction",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"transaction"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"comment\": \"non nulla\",\n  \"count\": 96442090,\n  \"isin\": \"non esse\",\n  \"price\": -17020893.639093384,\n  \"time\": \"9660-60-73T53:64:02.637Z\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/transaction",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"transaction"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Returns all transactions",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/transactions",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"transactions"
							]
						},
						"description": "Returns all transactions for current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/transactions",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"transactions"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"comment\": \"ex ipsum adipisicing dolor\",\n    \"count\": 46881527,\n    \"isin\": \"ad eiusmod\",\n    \"price\": -11144262.12990503,\n    \"time\": \"5529-43-74T12:79:94.205Z\"\n  },\n  \"status\": 25470796,\n  \"text\": \"exercitation et est\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/transactions",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"transactions"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				}
			]
		},
		{
			"name": "Portfolio",
			"item": [
				{
					"name": "Returns portfolio",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/portfolio",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"portfolio"
							]
						},
						"description": "Returns all shares of current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/portfolio",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"portfolio"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"comment\": \"sint quis ut\",\n      \"count\": 54930744,\n      \"isin\": \"labore cillum\",\n      \"last_transaction\": \"id cillum non\"\n    },\n    {\n      \"comment\": \"cillum ut ipsum\",\n      \"count\": 44991486,\n      \"isin\": \"in in consectetur velit\",\n      \"last_transaction\": \"anim veniam\"\n    }\n  ],\n  \"status\": 87593619,\n  \"text\": \"non culpa occaecat\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/portfolio",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"portfolio"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				}
			]
		},
		{
			"name": "Users",
			"item": [
				{
					"name": "Delete user",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "DELETE",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"email\": \"oG8z5swOjkbst@kinVwpTMhsrUUCewsWdTkNXO.pqv\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/user",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user"
							]
						},
						"description": "Deletes user by username"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"oG8z5swOjkbst@kinVwpTMhsrUUCewsWdTkNXO.pqv\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "No Content",
							"code": 204,
							"_postman_previewlanguage": "text",
							"header": [
								{
									"key": "Content-Type",
									"value": "text/plain"
								}
							],
							"cookie": [],
							"body": ""
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"oG8z5swOjkbst@kinVwpTMhsrUUCewsWdTkNXO.pqv\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "DELETE",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"oG8z5swOjkbst@kinVwpTMhsrUUCewsWdTkNXO.pqv\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Get current user",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/user",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user"
							]
						},
						"description": "Returns current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"admin\": true,\n    \"cron\": \"id in Excepteur\",\n    \"email\": \"E3rj@zUSyCWAiewlz.vrx\",\n    \"password\": \"sunt pariatur\",\n    \"telegram_user_id\": \"elit\",\n    \"username\": \"mollit incididunt nostrud\"\n  },\n  \"status\": -87469860,\n  \"text\": \"ullamco in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Update user",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"password\": \"ut\",\n  \"username\": \"ullamco amet\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/user",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user"
							]
						},
						"description": "Changes password and/or username of current user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"password\": \"ut\",\n  \"username\": \"ullamco amet\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "No Content",
							"code": 204,
							"_postman_previewlanguage": "text",
							"header": [
								{
									"key": "Content-Type",
									"value": "text/plain"
								}
							],
							"cookie": [],
							"body": ""
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"password\": \"ut\",\n  \"username\": \"ullamco amet\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"password\": \"ut\",\n  \"username\": \"ullamco amet\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				},
				{
					"name": "Login",
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"email\": \"GfEubxoHYHPPc4@PXsBSXusLxIotbYTjEAaQnAVHLDz.jv\",\n  \"password\": \"Duis ut\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/user/login",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user",
								"login"
							]
						},
						"description": "Returns jwt token if username and password match, otherwise returns error"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"GfEubxoHYHPPc4@PXsBSXusLxIotbYTjEAaQnAVHLDz.jv\",\n  \"password\": \"Duis ut\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/login",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"login"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"token\": \"non\"\n  },\n  \"status\": 92819984,\n  \"text\": \"consectetur elit esse non\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"GfEubxoHYHPPc4@PXsBSXusLxIotbYTjEAaQnAVHLDz.jv\",\n  \"password\": \"Duis ut\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/login",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"login"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						}
					]
				},
				{
					"name": "Register",
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"email\": \"3zVMb95E@jZETuCbGKKbkmiNrTNNfdpTPQdkBJNbzD.wicb\",\n  \"password\": \"eiusmod cillum\",\n  \"username\": \"enim\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/user/register",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user",
								"register"
							]
						},
						"description": "Registers user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"3zVMb95E@jZETuCbGKKbkmiNrTNNfdpTPQdkBJNbzD.wicb\",\n  \"password\": \"eiusmod cillum\",\n  \"username\": \"enim\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/register",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"register"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"admin\": true,\n    \"cron\": \"id in Excepteur\",\n    \"email\": \"E3rj@zUSyCWAiewlz.vrx\",\n    \"password\": \"sunt pariatur\",\n    \"telegram_user_id\": \"elit\",\n    \"username\": \"mollit incididunt nostrud\"\n  },\n  \"status\": -87469860,\n  \"text\": \"ullamco in\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"email\": \"3zVMb95E@jZETuCbGKKbkmiNrTNNfdpTPQdkBJNbzD.wicb\",\n  \"password\": \"eiusmod cillum\",\n  \"username\": \"enim\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/register",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"register"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						}
					]
				},
				{
					"name": "Set user admin state",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "PUT",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"admin\": false,\n  \"email\": \"3lnXNx5@NhoXHfuhjTiz.bgre\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/user/setAdmin",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"user",
								"setAdmin"
							]
						},
						"description": "Set admin state of specified user"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"admin\": false,\n  \"email\": \"3lnXNx5@NhoXHfuhjTiz.bgre\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/setAdmin",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"setAdmin"
									]
								}
							},
							"status": "No Content",
							"code": 204,
							"_postman_previewlanguage": "text",
							"header": [
								{
									"key": "Content-Type",
									"value": "text/plain"
								}
							],
							"cookie": [],
							"body": ""
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"admin\": false,\n  \"email\": \"3lnXNx5@NhoXHfuhjTiz.bgre\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/setAdmin",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"setAdmin"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "PUT",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"admin\": false,\n  \"email\": \"3lnXNx5@NhoXHfuhjTiz.bgre\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/user/setAdmin",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"user",
										"setAdmin"
									]
								}
							},
                          "status": "Unauthorized",
                          "code": 401,
                          "_postman_previewlanguage": "json",
                          "header": [
                            {
                              "key": "Content-Type",
                              "value": "application/json"
                            }
                          ],
                          "cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
                        }
                    ]
                },
              {
                "name": "Set update cron",
                "request": {
                  "auth": {
                    "type": "bearer",
                    "bearer": [
                      {
                        "key": "token",
                        "value": "<Bearer Token>",
                        "type": "string"
                      }
                    ]
                  },
                  "method": "PUT",
                  "header": [
                    {
                      "key": "Content-Type",
                      "value": "application/json"
                    },
                    {
                      "key": "Accept",
                      "value": "application/json"
                    }
                  ],
                  "body": {
                    "mode": "raw",
                    "raw": "{\n  \"cron\": \"dolor\"\n}",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    }
                  },
                  "url": {
                    "raw": "{{baseUrl}}/api/user/setCron",
                    "host": [
                      "{{baseUrl}}"
                    ],
                    "path": [
                      "api",
                      "user",
                      "setCron"
                    ]
                  },
                  "description": "Set update cron of specified user"
                },
                "response": [
                  {
                    "name": "Successful response",
                    "originalRequest": {
                      "method": "PUT",
                      "header": [
                        {
                          "description": "Added as a part of security scheme: bearer",
                          "key": "Authorization",
                          "value": "Bearer <token>"
                        }
                      ],
                      "body": {
                        "mode": "raw",
                        "raw": "{\n  \"cron\": \"dolor\"\n}",
                        "options": {
                          "raw": {
                            "language": "json"
                          }
                        }
                      },
                      "url": {
                        "raw": "{{baseUrl}}/api/user/setCron",
                        "host": [
                          "{{baseUrl}}"
                        ],
                        "path": [
                          "api",
                          "user",
                          "setCron"
                        ]
                      }
                    },
                    "status": "No Content",
                    "code": 204,
                    "_postman_previewlanguage": "text",
                    "header": [
                      {
                        "key": "Content-Type",
                        "value": "text/plain"
                      }
                    ],
                    "cookie": [],
                    "body": ""
                  },
                  {
                    "name": "Validation error",
                    "originalRequest": {
                      "method": "PUT",
                      "header": [
                        {
                          "description": "Added as a part of security scheme: bearer",
                          "key": "Authorization",
                          "value": "Bearer <token>"
                        }
                      ],
                      "body": {
                        "mode": "raw",
                        "raw": "{\n  \"cron\": \"dolor\"\n}",
                        "options": {
                          "raw": {
                            "language": "json"
                          }
                        }
                      },
                      "url": {
                        "raw": "{{baseUrl}}/api/user/setCron",
                        "host": [
                          "{{baseUrl}}"
                        ],
                        "path": [
                          "api",
                          "user",
                          "setCron"
                        ]
                      }
                    },
                    "status": "Bad Request",
                    "code": 400,
                    "_postman_previewlanguage": "json",
                    "header": [
                      {
                        "key": "Content-Type",
                        "value": "application/json"
                      }
                    ],
                    "cookie": [],
                    "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"in esse ut consectetur\",\n        \"dolor dolore\"\n      ]\n    }\n  },\n  \"message\": \"tempor enim magna in\"\n}"
                  },
                  {
                    "name": "Authentication error",
                    "originalRequest": {
                      "method": "PUT",
                      "header": [
                        {
                          "description": "Added as a part of security scheme: bearer",
                          "key": "Authorization",
                          "value": "Bearer <token>"
                        }
                      ],
                      "body": {
                        "mode": "raw",
                        "raw": "{\n  \"cron\": \"dolor\"\n}",
                        "options": {
                          "raw": {
                            "language": "json"
                          }
                        }
                      },
                      "url": {
                        "raw": "{{baseUrl}}/api/user/setCron",
                        "host": [
                          "{{baseUrl}}"
                        ],
                        "path": [
                          "api",
                          "user",
                          "setCron"
                        ]
                      }
                    },
                    "status": "Unauthorized",
                    "code": 401,
                    "_postman_previewlanguage": "json",
                    "header": [
                      {
                        "key": "Content-Type",
                        "value": "application/json"
                      }
                    ],
                    "cookie": [],
                    "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
                  }
                ]
              },
              {
                "name": "Get all users",
                "request": {
                  "auth": {
                    "type": "bearer",
                    "bearer": [
                      {
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"url": {
							"raw": "{{baseUrl}}/api/users",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"users"
							]
						},
						"description": "Returns all existing users as array"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/users",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"users"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": [\n    {\n      \"admin\": false,\n      \"cron\": \"cupidatat nostrud\",\n      \"email\": \"udtQkVtNcxr@OJMRrDDwMlfw.udu\",\n      \"password\": \"dolore consectetur quis n\",\n      \"telegram_user_id\": \"sint in\",\n      \"username\": \"in minim ea labo\"\n    },\n    {\n      \"admin\": false,\n      \"cron\": \"enim exercitation laboris voluptate aute\",\n      \"email\": \"jQyQftlI@zOMiqukOfCTGwRN.bp\",\n      \"password\": \"non minim tempor laboris exercitation\",\n      \"telegram_user_id\": \"ipsum Excepteur adipisicing\",\n      \"username\": \"ad\"\n    }\n  ],\n  \"status\": -85994498,\n  \"text\": \"pariatur nostrud cupidatat\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "GET",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"url": {
									"raw": "{{baseUrl}}/api/users",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"users"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				}
			]
		},
		{
			"name": "Telegram",
			"item": [
				{
					"name": "Connects telegram user id",
					"request": {
						"auth": {
							"type": "bearer",
							"bearer": [
								{
									"key": "token",
									"value": "<Bearer Token>",
									"type": "string"
								}
							]
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							},
							{
								"key": "Accept",
								"value": "application/json"
							}
						],
						"body": {
                          "mode": "raw",
                          "raw": "{\n  \"telegram_user_id\": \"adipisicing ut occaecat\"\n}",
                          "options": {
                            "raw": {
                              "language": "json"
                            }
                          }
                        },
						"url": {
							"raw": "{{baseUrl}}/api/telegram",
							"host": [
								"{{baseUrl}}"
							],
							"path": [
								"api",
								"telegram"
							]
						},
						"description": "Connects telegram user id to user account"
					},
					"response": [
						{
							"name": "Successful response",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"telegram_user_id\": \"adipisicing ut occaecat\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/telegram",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"telegram"
									]
								}
							},
							"status": "OK",
							"code": 200,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"data\": {\n    \"admin\": true,\n    \"cron\": \"id in Excepteur\",\n    \"email\": \"E3rj@zUSyCWAiewlz.vrx\",\n    \"password\": \"sunt pariatur\",\n    \"telegram_user_id\": \"elit\",\n    \"username\": \"mollit incididunt nostrud\"\n  },\n  \"status\": -87469860,\n  \"text\": \"ullamco in\"\n}"
						},
						{
							"name": "Validation error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"telegram_user_id\": \"adipisicing ut occaecat\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/telegram",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"telegram"
									]
								}
							},
							"status": "Bad Request",
							"code": 400,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {\n    \"<location>\": {\n      \"<field_name>\": [\n        \"tempor consectetur sint adipisicing\",\n        \"occaecat laborum consectetur\"\n      ]\n    }\n  },\n  \"message\": \"dolor est officia\"\n}"
						},
						{
							"name": "Authentication error",
							"originalRequest": {
								"method": "POST",
								"header": [
									{
										"description": "Added as a part of security scheme: bearer",
										"key": "Authorization",
										"value": "Bearer <token>"
									}
								],
								"body": {
                                  "mode": "raw",
                                  "raw": "{\n  \"telegram_user_id\": \"adipisicing ut occaecat\"\n}",
                                  "options": {
                                    "raw": {
                                      "language": "json"
                                    }
                                  }
                                },
								"url": {
									"raw": "{{baseUrl}}/api/telegram",
									"host": [
										"{{baseUrl}}"
									],
									"path": [
										"api",
										"telegram"
									]
								}
							},
							"status": "Unauthorized",
							"code": 401,
							"_postman_previewlanguage": "json",
							"header": [
								{
									"key": "Content-Type",
									"value": "application/json"
								}
							],
							"cookie": [],
                          "body": "{\n  \"detail\": {},\n  \"message\": \"non elit\"\n}"
						}
					]
				}
			]
		}
	],
	"variable": [
      {
        "key": "baseUrl",
        "value": "/",
        "type": "string"
      }
	]
}